<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_0c5123aa744f69bbc0e8b3ea2f6" . "e847d" => base64_decode("bG1zZ" . "w=="), "_7ee25317ff" . "edb4fe27bf0" . "b5036469b94" => base64_decode("Y29tbW9uLnR5cGUuZm9s" . "ZGVy"), "_5fde92609a43c9160462" . "278aec060406" => base64_decode("Y29tbW9uLnVua2" . "5vd24="), "_eb5682848391" . "9e173c6ab772a" . "8fa7d6d" => base64_decode("Y29tbW9" . "uLnR5cG" . "UuZG9jd" . "W1lbnQ="), "_9410d17985408ab6a2962e6fdb62" . "1c5e" => base64_decode("ZG9jdW1lbnRzLm5hbW" . "VwYXR0ZXJudGFnLnZl" . "cg=="), "_86e12158655092a9838a" . "837f6cf6d639" => base64_decode("Li4vY29tbW9uL2VybXNfcGtnLnBocA=" . "="));






abstract class TrashObjectERMS extends TrashObject
{
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_86e12158655092a9838a837f6cf6d63" . "9"];
        global $g_erms_browser;
        if ($g_erms_browser->DeleteERMSObjectById($this->obj_id, $this->aggregation, false, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($g_erms_browser->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    
    
    public function Restore()
    {
        require_once $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_86e121586" . "55092a9838" . "a837f6cf6d" . "639"];
        global $g_erms_browser;
        if (!$g_erms_browser->UndeleteERMSObjectByID($this->obj_id, $this->aggregation)) {
            throw new \Exception($g_erms_browser->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        switch ($this->aggregation) {
            case AGGREGATION_FOLDER:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_0c5123a" . "a744f69b" . "bc0e8b3e" . "a2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_7ee25317ffedb4fe" . "27bf0b5036469b94"]);
            case AGGREGATION_DATA:
                return $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_0c5123aa744f69b" . "bc0e8b3ea2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_eb56828483919e173c" . "6ab772a8fa7d6d"]);
            case AGGREGATION_DOC_VERSION:
                return $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_0c5123aa744f69bbc" . "0e8b3ea2f6e847d"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_9410d17985408ab6a2962e6f" . "db621c5e"]);
        }
        return $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_0c5123aa744f69bbc0e8b3ea2f6" . "e847d"]($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_5fde926" . "09a43c91" . "60462278" . "aec06040" . "6"]);
    }
}